Bug 489792 - Inconsistency in return types actually returned and those mentioned in api docs for listErrata API
Inconsistency in return types actually returned and those mentioned in api do...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Sayli Karmarkar
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2009-03-11 16:58 EDT by Sayli Karmarkar
Modified: 2015-03-22 21:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:55:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2009-03-11 16:58:01 EDT
Description of problem:

1. listErrata(channelLabel) should return the new format and the old format according to api docs. However, its returning only old format.

2. New listErrata(startDate) and listErrata(startDate, endDate) are returning new format as expected. However, api docs say its returning old format.

3. string "advisory_type" is mentioned two times in listErrata(channelLabel):

# string "advisory_type"
...
# string "advisory_type" - Type label such as Security, Bug Fix
Comment 1 Justin Sherrill 2009-03-12 15:16:33 EDT
commit	0dfd9aec01df9467e8c4a659efeb86f126bbd037
tree	84b51e42543810a40483c52381cac594dd42abf5	tree | snapshot
parent	977fe3d4221adf734cd12e5478fa529d2c0b044a	commit | diff
Comment 2 Justin Sherrill 2009-04-03 18:15:22 EDT
fixed #1 & 2

eeca275
Comment 3 Sayli Karmarkar 2009-04-21 17:24:11 EDT
verified.
Comment 4 Milan Zazrivec 2009-08-26 07:35:02 EDT
Verified in stage -> RELEASE_PENDING
Comment 5 Brandon Perkins 2009-09-10 15:55:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.